MaillyDocs

Approve and send a reviewed draft version

POST
/mail-drafts/{id}/approve

Authorization

bearerAuth
headerAuthorizationBearer <token>

Mailly API key(Authorization: Bearer )

Path Parameters

id*string
Length1 <= length <= 128

Request Body

application/json
  1. body
revision*integer
Range0 < value
text*string
Length1 <= length <= 524288

Response Body

Draft action succeeded

application/json
  1. response
success*boolean
[key: string]?unknown
curl -X POST 'https://api.mailly.site/mail-drafts/string/approve' \  -H 'Content-Type: application/json' \  -d '{  "revision": 1,  "text": "string"}'
{  "success": true,  "property1": null,  "property2": null}